Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007705opensim[REGION] OpenSim Corepublic2015-08-25 03:212015-11-12 10:14
Reporteraiaustin 
Assigned ToDiva 
PrioritynormalSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007705: [PATCH] Changes to .ini.example files to improve instructions and workflow for standalone setups
DescriptionAfter testing various initial OpenSim setups using the instructions in the system itself as well as the feedback given when running OpenSim, a couple of changes are proposed to the .ini.example files.

Clarify what must be changed in initial .ini files to create a working standalone setup now that [Const] variables are used. Fix separator used in one of choice lists for [Const] BaseURL descriptor. Minor changes to line spacing of some sections in StandaloneCommon.ini.example file for layout regularity. Correction of a typo in comment.

FlotsamAssetCache being enabled by default in the StandaloneCommon.ini.example file is commented out like the other two asset module choices to make it clear that its optional to have an asset cache at all, @Diva comments its not necessary for SQLite standalone use for example, and to remove a step in initial setup to get something simple going.

The change to use space as a separator for the choices given for the OpenSim.ini.example [Const] section BaseURL parameter, rather than using a comma, to make it the same as other choices throughtout the .ini.example file has been discussed with @BlueWall to ensure this is okay, and has been tested on a live standalone.

TagsNo tags attached.
Git Revision or version numberr/26201
Run ModeStandalone (1 Region)
Physics EngineBasicPhysics
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Filespatch file icon 0001-Changes-to-.ini.example-files-to-improve-instruction.patch [^] (6,766 bytes) 2015-08-25 03:24 [Show Content]
patch file icon 0001-Restore-FlotsamAssetCache-as-default-and-pre-enabled.patch [^] (1,786 bytes) 2015-08-26 07:28 [Show Content]
patch file icon 0001-Corrections-to-ini-example-files-for-standalones-v2.patch [^] (6,006 bytes) 2015-09-08 13:54 [Show Content]

- Relationships
related to 0007706closedaiaustin DestinationGuide override on a per simulator basis not operational 

-  Notes
(0029368)
aiaustin (developer)
2015-08-25 03:26
edited on: 2015-08-25 06:12

[PATCH] Changes to .ini.example files to improve instructions and workflow for standalone setups

Clarify what must be changed in initial .ini files to create a working standalone setup now that [Const] variables are used. Fix separator used in one of choice lists for [Const] BaseURL descriptor. Minor changes to line spacing of some sections in StandaloneCommon.ini.example file for layout regularity. Correction of a typo in comment.

Patch includes change of command to space in [Const] BaseURL choices list as discussed between Ai Austin and BlueWall.

(0029369)
smxy (reporter)
2015-08-25 04:45

Why would you comment out and disable FlotsamCache?
(0029370)
aiaustin (developer)
2015-08-25 06:11

Its an example file @smxy and the choice is zero or one asset cache mechanisms with flotsam being recommended. If it is enabled a further setup step is needed to create FlotsamAssetcache.ini from the FlotsamAssetCache.ini.example before the first run. Its not wise to simple add in a provided FlotsamAssetcache.ini as @Ferd pointed out on the dev mailing list so that people's customized versions are not overridden.

@Diva advises that for a standalone using SQLite (a basic setup) that an asset cache is not needed at all... hence the "zero" option.

So, just for the EXAMPLE file remember, if all three asset cache mechanism are commented out in the Standalone.ini.example someone configuring OpenSim for the first time has one less step to get a basic system going before they then consider adding in more features (like the asset cache modules, etc. And we can avoid a more complicated set of minimal setup instructions by omitting that extra step.
(0029372)
Diva (administrator)
2015-08-25 20:45

[20:43] <cia-opensim> opensim: diva * r9b5bd4b27929 bin (OpenSim.ini.example):
[20:43] <cia-opensim> Fixed comment in ini related to previous patch
[20:43] <cia-opensim> http://opensimulator.org/viewgit/?a=commit&p=opensim&h=9b5bd4b27929b83a534348d1b32bfc6c16ec35e5 [^]
[20:43] <cia-opensim> opensim: ai.ai.austin * r9d104f54537e / (2 files in 2 dirs):
[20:43] <cia-opensim> Changes to .ini.example files to improve instructions and workflow for standalone setups
[20:43] <cia-opensim>
[20:43] <cia-opensim> Clarify what must be changed in initial .ini files to create a working
[20:43] <cia-opensim> standalone setup now that [Const] variables are used. Fix separator used
[20:43] <cia-opensim> in one of choice lists for [Const] BaseURL descriptor. Minor changes to
(0029373)
Diva (administrator)
2015-08-25 21:36

oops.
[21:33] <cia-opensim> opensim: diva * r0540e250813c bin/config-include (StandaloneCommon.ini.example):
[21:33] <cia-opensim> Still about Ai's patch: it turns out OpenSim doesn't work well without an asset cache because of temporary assets. So setting the default asset cache to Cenome, which is the in-memory cache.
(0029374)
aiaustin (developer)
2015-08-26 01:12
edited on: 2015-08-26 06:36

@Diva, thanks for making the commit and fixing my mistake in a comment mentioning Standalone.ini which should have been StandaloneCommon.ini.

If a cache is needed, then would it make more sense to revert to it being FlotsamAssetCache since we state that is the one recommended and most actively maintained? If a first time configurer misses making a FlotsamAssetCache.ini from the example its not a big deal as the system prints out a helpful warning and uses sensible defaults without stopping anyway.

The alternative to keep everything hunky-dory would be to change the comment about FlotsamAssetCache being recommended in StandaloneCommon.ini.example to say

;; We recommend the use of CenomeMemoryAssetCache for standalones.

(0029375)
aiaustin (developer)
2015-08-26 06:33
edited on: 2015-09-01 04:32

Testing indicates that [GridInfoService] URLs for about, register, help and password can be specified and are properly communicated to viewer grid manager tables.

(0029376)
melanie (administrator)
2015-08-26 07:15

Using a different cache in standalones introduces a difference in behavior between standalone and grid.

This affects the texture drawing functions. When a texture drawing function is used infrequently, a sim restart with Flotsam cache will allow that texture to still be seen. If Cenome is used, the owner will see the temporary texture from his viewer cache but new visitors will see only a white texture. Therefore users will not see a message posted on the prim while the owner is unaware of the problem.

I recommend against using different caches in standalone vs grid and would like to know why standalones should not use Flotsam. This change wasn't necessary in the first place and will only cause confusion.
(0029377)
aiaustin (developer)
2015-08-26 07:30
edited on: 2015-08-26 07:31

I was seeking to have no asset cache, which a comment says is possible and which would avoid one intial setup step. Then @Diva realised some sort of asset cache was needed for temporary assets and textures.

I was leaving the change back until @Diva took a look at the comment above.. but since it looks like it ought to be set back to Flotsam and that should be pre-enabled (not commented out).... I attach a simple patch to do that in case you want to change it now.

Patch attached that is consistent with other valid changes to the .ini.example files to change StandaloneCommon.ini.example to restore FlotsamAssetcache as the chosen and enabled cache in the example file.. which was the previous behaviour.

0001-Restore-FlotsamAssetCache-as-default-and-pre-enabled.patch

(0029378)
melanie (administrator)
2015-08-26 07:31

How was the original choice of Flotsam a "setup step"? It was always in there and never required any user action at all.
(0029379)
aiaustin (developer)
2015-08-26 07:37

It required FlotsamCache.ini to be created by copying FlotsamCache.ini.example @Melanie. I know it only throws a warning otherwise. But it is a step. No matter though if you change the setup back to have FlotsamAssetCache enabled in the .ini.example. The other comment changes and corrections round it in the original patches help I hope.
(0029380)
aiaustin (developer)
2015-08-26 10:18
edited on: 2015-09-01 04:32

Thanks for changing the default asset cache back to Flotsam @Diva.

@Melanie, I saw your comment about making FlotsamCache.ini rather than FlotsamCache.ini.example... and indeed that was what I originally felt was a good solution and suggested. But @Ferd had a concern expressed in the opensim-dev mailing list that that would stomp on people's specific setups. Mind you, I usually add my changes OVER a new version rather than the other way round. Maybe @Ferd could change his workflow to do that too.

Blog post on Standalone setup for first time...

http://blog.inf.ed.ac.uk/atate/2015/08/21/setting-up-a-standalone-opensim-server-from-scratch/ [^]

(0029405)
aiaustin (developer)
2015-09-01 04:34
edited on: 2015-09-01 11:00

New patch with changes in comments and examples only. This patch mainly takes on board the various tests and checks related to setting up standalones.

Remove currently unused indicators for some settings in [GridServiceInfo] in StandaloneCommon.ini as they do work for a standalone. Regularize example URLs for externally provided web page and economy helper information for uniformity. Correct mistake in reference to grid wide DestinationGuide in override capability in OpenSim.ini.example [SimulatorFeatures]

PATCH attached...
0001-Corrections-and-improved-comments-in-ini.examples.patch

(0029424)
Diva (administrator)
2015-09-05 20:38

Are you sure about this?
- ;economy = ${Const|BaseURL}:${Const|PublicPort}/
+ ;economy = ${Const|BaseURL}/economy
(0029426)
aiaustin (developer)
2015-09-06 01:48
edited on: 2015-09-06 10:31

The previous example was misleading @Diva, as there is no economy helper module support in core. Some sort of external support is needed. It is usually a PHP routine but any example indicating its an external entity is fine. I was also making the examples be in a regular form as the differences just confuses a first time configurer I think. The mention of the PublicPort is definitely confusing as that implies use of features served by OpenSim itself.

(0029443)
Diva (administrator)
2015-09-06 15:04

Ai, the patch failed to apply. Not sure why.
(0029447)
aiaustin (developer)
2015-09-07 01:46
edited on: 2015-09-07 01:51

Sorry for the trouble. I had hoped I had my Git patch generation workflow set up correctly for OpenSim contributions @Diva.. but maybe something got out of step.

I made sure I was synced with Master just now and generated the patch again, this time including the addition of the missing DestinationGuide setting in StandaloneCommon.ini.example as well. So the previous small patch in issue 7706 is not required if this replacent patch is committed.

0002-Corrections-to-ini-example-files-for-standalones.patch
2015-09-07

If it fails to apply, any feedback or error log would be helpful so I can fix my Git setup.

(0029448)
Diva (administrator)
2015-09-07 07:27

Ai, it's still failing. I get this message:

git.exe am --signoff --ignore-space-change --keep-cr "C:\Users\crista\Downloads\0002-Corrections-to-ini-example-files-for-standalones.patch"
Applying: Corrections to ini example files for standalones
Patch failed at 0001 Corrections to ini example files for standalones
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".

error: patch failed: bin/config-include/StandaloneCommon.ini.example:222
error: bin/config-include/StandaloneCommon.ini.example: patch does not apply

Fail

---------------------
When I set 3-way merge it also fails:

git.exe am --signoff --3way --keep-cr "C:\Users\crista\Downloads\0002-Corrections-to-ini-example-files-for-standalones.patch"
Applying: Corrections to ini example files for standalones
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Corrections to ini example files for standalones
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".

fatal: sha1 information is lacking or useless (bin/config-include/StandaloneCommon.ini.example).

Fail

-------------------------
I really don't know why. The patch seems clean...
(0029449)
aiaustin (developer)
2015-09-07 08:22
edited on: 2015-09-07 12:08

Very odd... I was logged in to Github which I think should add the necessary verification (sha1?) info in?

Melanie was able to commit an earlier patch generated by the same process.. but she may have had to do something to fix it.

I am a bit stumped. Unless the filename of the patch must also be kept exactly as it was generated? It was generated with file name 0001-... and I amended file name only to 0002-...

(0029459)
aiaustin (developer)
2015-09-08 13:26
edited on: 2015-09-08 14:06

I think I see what the issue is with my approach... some Git auto-magic is going on and it may be looking for information that was in my branch history that left files identical as in the master but had a commit and revert ahead of making this patch. My first patch made with my workflow was okay as it did not have any such history.

I will try making a patch again now I think I know the problem. Link and notes here are left in case anyone else sees the patch commit problem in future....

sha1 information is lacking or useless

http://stackoverflow.com/questions/16572024/get-error-message-fatal-sha1-information-is-lacking-or-useless-when-apply-a [^]

The patch file starting with 0001- cannot be applied cleanly - there is some conflict.

Git wanted to resolve that conflict by looking at commits this patch has been based on, but you don't have those commits in your repository.

Probably the patch has been created from a branch that had commits that were never shared, or either your or submitter's branch has been rebased.

(0029460)
aiaustin (developer)
2015-09-08 13:56
edited on: 2015-09-08 14:02

@Diva... v2 of the patch now attached with identical contents but created with my modified Git workflow. I would appreciate any feedback if there are messages in attempting to apply it.

 0001-Corrections-to-ini-example-files-for-standalones-v2.patch

(0029535)
aiaustin (developer)
2015-11-12 10:08

The first two patches attached to this issue have been applied already.

To complete this item and allow the issue to be closed, can a core developer try the third patch - "v2" of which I believe should apply in the current OpenSim master.

 0001-Corrections-to-ini-example-files-for-standalones-v2.patch

This should then correct the .ini.example files to the current working state with Standalones.
(0029536)
nebadon (administrator)
2015-11-12 10:14

patch applied against git master > http://opensimulator.org/viewgit/?a=commit&p=opensim&h=c4d225ed501195bd1c758fb05475f9291db44ca6 [^]

Thanks!
(0029537)
nebadon (administrator)
2015-11-12 10:14

patch applied

- Issue History
Date Modified Username Field Change
2015-08-25 03:21 aiaustin New Issue
2015-08-25 03:21 aiaustin Status new => assigned
2015-08-25 03:21 aiaustin Assigned To => BlueWall
2015-08-25 03:24 aiaustin File Added: 0001-Changes-to-.ini.example-files-to-improve-instruction.patch
2015-08-25 03:26 aiaustin Note Added: 0029368
2015-08-25 03:26 aiaustin Status assigned => patch included
2015-08-25 03:33 aiaustin Description Updated View Revisions
2015-08-25 03:39 aiaustin Note Edited: 0029368 View Revisions
2015-08-25 03:42 aiaustin Description Updated View Revisions
2015-08-25 03:58 aiaustin Assigned To BlueWall =>
2015-08-25 04:45 smxy Note Added: 0029369
2015-08-25 06:11 aiaustin Note Added: 0029370
2015-08-25 06:12 aiaustin Note Edited: 0029368 View Revisions
2015-08-25 06:27 aiaustin Description Updated View Revisions
2015-08-25 06:39 aiaustin Description Updated View Revisions
2015-08-25 20:45 Diva Note Added: 0029372
2015-08-25 20:46 Diva Status patch included => resolved
2015-08-25 20:46 Diva Resolution open => fixed
2015-08-25 20:46 Diva Assigned To => Diva
2015-08-25 21:36 Diva Note Added: 0029373
2015-08-26 01:12 aiaustin Note Added: 0029374
2015-08-26 01:12 aiaustin Status resolved => feedback
2015-08-26 01:12 aiaustin Resolution fixed => reopened
2015-08-26 06:33 aiaustin Note Added: 0029375
2015-08-26 06:33 aiaustin Status feedback => assigned
2015-08-26 06:33 aiaustin Status assigned => patch included
2015-08-26 06:33 aiaustin File Added: 0001-Remove-indication-that-GridInfoService-URLs-for-abou.patch
2015-08-26 06:34 aiaustin Note Edited: 0029375 View Revisions
2015-08-26 06:36 aiaustin Note Edited: 0029374 View Revisions
2015-08-26 07:15 melanie Note Added: 0029376
2015-08-26 07:28 aiaustin File Added: 0001-Restore-FlotsamAssetCache-as-default-and-pre-enabled.patch
2015-08-26 07:30 aiaustin Note Added: 0029377
2015-08-26 07:30 aiaustin Note Edited: 0029377 View Revisions
2015-08-26 07:30 aiaustin Note Edited: 0029377 View Revisions
2015-08-26 07:31 aiaustin Note Edited: 0029377 View Revisions
2015-08-26 07:31 melanie Note Added: 0029378
2015-08-26 07:37 aiaustin Note Added: 0029379
2015-08-26 10:18 aiaustin Note Added: 0029380
2015-08-26 10:21 aiaustin Note Edited: 0029380 View Revisions
2015-08-26 11:31 aiaustin Note Edited: 0029380 View Revisions
2015-08-26 12:07 aiaustin Note Added: 0029381
2015-08-26 14:18 aiaustin Note Edited: 0029380 View Revisions
2015-08-27 04:18 aiaustin Note Edited: 0029380 View Revisions
2015-08-28 05:41 aiaustin File Deleted: 0001-Remove-indication-that-GridInfoService-URLs-for-abou.patch
2015-08-28 05:42 aiaustin Note Edited: 0029380 View Revisions
2015-08-28 05:42 aiaustin File Added: 0001-Remove-currently-unused-GridInfoService-indicators.patch
2015-08-28 08:00 aiaustin Note Edited: 0029380 View Revisions
2015-08-28 08:00 aiaustin Note Deleted: 0029381
2015-08-28 08:02 aiaustin Note Edited: 0029380 View Revisions
2015-09-01 04:30 aiaustin File Deleted: 0001-Remove-currently-unused-GridInfoService-indicators.patch
2015-09-01 04:31 aiaustin File Added: 0001-Corrections-and-improved-comments-in-ini.examples.patch
2015-09-01 04:32 aiaustin Note Edited: 0029375 View Revisions
2015-09-01 04:32 aiaustin Note Edited: 0029380 View Revisions
2015-09-01 04:34 aiaustin Note Added: 0029405
2015-09-01 04:36 aiaustin Description Updated View Revisions
2015-09-01 08:20 aiaustin Note Edited: 0029405 View Revisions
2015-09-01 08:22 aiaustin Relationship added related to 0007706
2015-09-01 10:59 aiaustin Note Edited: 0029405 View Revisions
2015-09-01 11:00 aiaustin Note Edited: 0029405 View Revisions
2015-09-05 20:38 Diva Note Added: 0029424
2015-09-06 01:48 aiaustin Note Added: 0029426
2015-09-06 10:31 aiaustin Note Edited: 0029426 View Revisions
2015-09-06 15:04 Diva Note Added: 0029443
2015-09-07 01:41 aiaustin File Deleted: 0001-Corrections-and-improved-comments-in-ini.examples.patch
2015-09-07 01:42 aiaustin File Added: 0002-Corrections-to-ini-example-files-for-standalones.patch
2015-09-07 01:46 aiaustin Note Added: 0029447
2015-09-07 01:47 aiaustin Note Edited: 0029447 View Revisions
2015-09-07 01:51 aiaustin Note Edited: 0029447 View Revisions
2015-09-07 01:52 aiaustin File Deleted: 0002-Corrections-to-ini-example-files-for-standalones.patch
2015-09-07 02:00 aiaustin File Added: 0002-Corrections-to-ini-example-files-for-standalones.patch
2015-09-07 07:27 Diva Note Added: 0029448
2015-09-07 08:22 aiaustin Note Added: 0029449
2015-09-07 08:28 aiaustin Note Edited: 0029449 View Revisions
2015-09-07 08:28 aiaustin Note Edited: 0029449 View Revisions
2015-09-07 08:28 aiaustin Note Edited: 0029449 View Revisions
2015-09-07 12:08 aiaustin Note Edited: 0029449 View Revisions
2015-09-07 12:08 aiaustin Note Edited: 0029449 View Revisions
2015-09-08 13:26 aiaustin Note Added: 0029459
2015-09-08 13:27 aiaustin Note Edited: 0029459 View Revisions
2015-09-08 13:54 aiaustin File Deleted: 0002-Corrections-to-ini-example-files-for-standalones.patch
2015-09-08 13:54 aiaustin File Added: 0001-Corrections-to-ini-example-files-for-standalones-v2.patch
2015-09-08 13:56 aiaustin Note Added: 0029460
2015-09-08 14:02 aiaustin Note Edited: 0029460 View Revisions
2015-09-08 14:02 aiaustin Note Edited: 0029459 View Revisions
2015-09-08 14:04 aiaustin Note Edited: 0029459 View Revisions
2015-09-08 14:06 aiaustin Note Edited: 0029459 View Revisions
2015-09-16 07:57 aiaustin Note Added: 0029477
2015-09-17 00:38 aiaustin Note Edited: 0029477 View Revisions
2015-10-03 09:24 aiaustin Note Edited: 0029477 View Revisions
2015-10-14 00:41 aiaustin Note Deleted: 0029477
2015-10-14 00:46 aiaustin Note Added: 0029505
2015-11-12 10:08 aiaustin Note Deleted: 0029505
2015-11-12 10:08 aiaustin Note Added: 0029535
2015-11-12 10:14 nebadon Note Added: 0029536
2015-11-12 10:14 nebadon Note Added: 0029537
2015-11-12 10:14 nebadon Status patch included => resolved
2015-11-12 10:14 nebadon Resolution reopened => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker